<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
// use Illuminate\Support\Facades\Log;

use App\Http\Controllers\AuthController;
use App\Http\Controllers\UserController;

use App\Http\Controllers\Home\Comment;
use App\Http\Controllers\Home\Content;
use App\Http\Controllers\Home\Index;

class HomeController extends Controller {
  private $objAuth;
  private $objUser;
  private $valid;
  private $menu;
  private $user;

  public function __construct () {
    $this->objAuth = new AuthController();
    $this->objUser = new UserController();
    $this->valid = $this->objAuth->getPermissions((isset($_COOKIE['kero_token']) ? $_COOKIE['kero_token'] : ''));
    $this->menu = getPagesInMenu();
    $this->cook = (isset($_COOKIE['kero_token']) ? $_COOKIE['kero_token'] : '');
    $this->id = checkLegit($this->cook);
    $this->user = $this->objUser->getLoggedUser($this->id, $this->cook);
  }

  public function index () {
    $r = new Index($this->valid, $this->menu, $this->user);
    return $r->index();
  }

  public function post ($slug) {
    $r = new Index($this->valid, $this->menu, $this->user);
    return $r->post($slug, $this->cook);
  }

  public function page ($slug) {
    $r = new Index($this->valid, $this->menu, $this->user);
    return $r->page($slug);
  }

  public function newComment (Request $rr) {
    $r = new Comment();
    return $r->add($rr);
  }

  public function addContent (Request $rr) {
    $r = new Content($this->valid, $this->menu, $this->user);
    return $r->add($rr);
  }

  public function editContent (Request $rr) {
    $r = new Content($this->valid, $this->menu, $this->user);
    return $r->edit($rr);
  }

  public function delContent (Request $rr) {
    $r = new Content($this->valid, $this->menu, $this->user);
    return $r->delete($rr);
  }
}
