<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
// use Illuminate\Support\Facades\Log;

use App\Http\Controllers\AuthController;
use App\Http\Controllers\UserController;

use App\Http\Controllers\Video\Game;
use App\Http\Controllers\Video\VideoTable;
use App\Http\Controllers\Video\Prayer;

class VideoController extends Controller {
  private $objUser;
  private $menu;
  private $cook;
  private $id;
  private $user;

  public function __construct() {
    $this->objUser = new UserController();
    $this->menu = getPagesInMenu();
    $this->cook = (isset($_COOKIE['kero_token']) ? $_COOKIE['kero_token'] : '');
    $this->id = checkLegit($this->cook);
    $this->user = $this->objUser->getLoggedUser($this->id, $this->cook);
  }

  public function index () {
    $r = new Game($this->menu, $this->user);
    return $r->index();
  }

  public function table ($slug) {
    $r = new VideoTable($this->menu, $this->user);
    return $r->index($slug);
  }

  public function prayer ($vid) {
    $r = new Prayer($this->menu, $this->cook, $this->user);
    return $r->index($vid);
  }

  public function addGame (Request $rr) {
    $r = new Game($this->menu, $this->user);
    return $r->add($rr);
  }

  public function delGame (Request $rr) {
    $r = new Game($this->menu, $this->user);
    return $r->delete($rr);
  }

  public function editGame (Request $rr) {
    $r = new Game($this->menu, $this->user);
    return $r->edit($rr);
  }

  public function addVideo (Request $rr) {
    $r = new VideoTable($this->menu, $this->user);
    return $r->add($rr);
  }

  public function delVideo (Request $rr) {
    $r = new VideoTable($this->menu, $this->user);
    return $r->delete($rr);
  }

  public function editVideo (Request $rr) {
    $r = new VideoTable($this->menu, $this->user);
    return $r->edit($rr);
  }
}
