window._ = require('lodash');

/**
 * We'll load the axios HTTP library which allows us to easily issue requests
 * to our Laravel back-end. This library automatically handles sending the
 * CSRF token as a header based on the value of the "XSRF" token cookie.
 */

window.Vue = require('vue');
window.axios = require('axios');

try {
  window.$ = window.jQuery = require('jquery');

  require('bootstrap');
} catch (e) {}

window.axios.defaults.headers.common['X-Requested-With'] = 'XMLHttpRequest';

Vue.component('appbar', require('./components/appbar.vue').default);
Vue.component('comments', require('./components/comments.vue').default);
Vue.component('content-type', require('./components/contenttype.vue').default);
Vue.component('delete-content', require('./components/deletecontent.vue').default);
Vue.component('delete-video', require('./components/deletevideo.vue').default);
Vue.component('delete-game', require('./components/deletegame.vue').default);
Vue.component('discord', require('./components/discord.vue').default);

const app = new Vue({ el: '#app' });

/**
 * Echo exposes an expressive API for subscribing to channels and listening
 * for events that are broadcast by Laravel. Echo and event broadcasting
 * allows your team to easily build robust real-time web applications.
 */

// import Echo from 'laravel-echo';

// window.Pusher = require('pusher-js');

// window.Echo = new Echo({
//     broadcaster: 'pusher',
//     key: process.env.MIX_PUSHER_APP_KEY,
//     cluster: process.env.MIX_PUSHER_APP_CLUSTER,
//     forceTLS: true
// });
