@extends('layouts.site')

@section('content')

<div class="within">
  <div class="bar">プロフィールの編集</div>
  <div class="back">
    @if ($err)
    <div class="alert alert-danger" role="alert">
      {{ $err }}
    </div>
    @elseif ($suc)
    <div class="alert alert-success" role="alert">
      {{ $suc }}
    </div>
    @endif
    <form method="POST" action="/profile/{{ $res->id }}/edit">
      @csrf
      <div class="row body">
        <div class="col-sm-4"><b>表示名</b></div>
        <div class="col">
          <input name="display_name" id="display_name" type="text" class="form-control" value="{{ $res->profile->display_name }}" />
          ご入力しない場合は、ユーザー名を表示します。
        </div>
      </div>
      <div class="row body">
        <div class="col-sm-4"><b>パスワード <span class="badge badge-danger">必須</span></b></div>
        <div class="col"><input name="password" id="password" type="password" class="form-control" /></div>
      </div>
      <div class="row body">
        <div class="col-sm-4"><b>パスワード確認 <span class="badge badge-danger">必須</span></b></div>
        <div class="col"><input name="password_check" id="confirm" type="password" class="form-control" /></div>
      </div>
      <div class="row body">
        <div class="col-sm-4"><b>電子メール <span class="badge badge-danger">必須</span></b></div>
        <div class="col"><input name="email" id="email" type="text" class="form-control" value="{{ $res->email }}" /></div>
      </div>
      <div class="row body">
        <div class="col-sm-4"><b>国</b></div>
        <div class="col">
          <select name="country" id="country" class="custom-select">
            @foreach ($cnt as $r)
              @if ($res->profile->country == $r['value'])
                <option value="{{$r['value']}}" selected>{{$r['label']}}</option>
              @else
                <option value="{{$r['value']}}">{{$r['label']}}</option>
              @endif
            @endforeach
          </select>
        </div>
      </div>
      <div class="row body">
        <div class="col-sm-4"><b>性別</b></div>
        <div class="col">
          <fieldset class="form-group">
            <div tabindex="-1" role="group">
              <div id="gender" role="radiogroup" tabindex="-1" class="btn-group-toggle btn-group" variant="primary">
                <label @if ($res->profile->gender == 0) class="btn btn-fumei-check" @else class="btn btn-fumei" @endif>
                  <input id="gender0" name="gender" type="radio" autocomplete="off" class="" value="0" @if ($res->profile->gender == 0) checked @endif />
                  <span>不明</span>
                </label>
                <label @if ($res->profile->gender == 1) class="btn btn-danshi-check" @else class="btn btn-danshi" @endif>
                  <input id="gender1" name="gender" type="radio" autocomplete="off" class="" value="1" @if ($res->profile->gender == 1) checked @endif />
                  <span>男性</span>
                </label>
                <label @if ($res->profile->gender == 2) class="btn btn-joshi-check" @else class="btn btn-joshi" @endif>
                  <input id="gender2" name="gender" type="radio" autocomplete="off" class="" value="2" @if ($res->profile->gender == 2) checked @endif />
                  <span>女性</span>
                </label>
              </div>
            </div>
          </fieldset>
        </div>
      </div>
      <div class="row body">
        <div class="col-sm-4"></div>
        <div class="col"><input name="submit" type="submit" class="btn btn-success btn-block" value="編集" /></div>
      </div>
    </form>
  </div>
</div>

@endsection
